Page MenuHomeFreeBSD

Build and fetch fixes for games/eduke32
ClosedPublic

Authored by rezny on Mar 22 2017, 10:18 PM.

Details

Summary

From PR 217913: Fix build by passing CC and CXX as MAKE_ARGS instead of patching the wrong file, and fix ASM option in the same way. Correct the patching of search path so the game finds its data files without having to supply full path. Correct the URL used for fetching XXX pack and add an option for Vovel pack from the same site. Install (SHAREWARE option), or ask user to install, both game data files. Drop the unused timidity options, music playback is handled by SDL mixer 2 which uses fluidsynth. Maintainer has approved.

Test Plan

Poudriere 10.3/11.0 amd64/i386 OK, extensive "runtime testing"

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rezny created this revision.Mar 22 2017, 10:18 PM
mat added inline comments.Mar 23 2017, 12:22 AM
games/eduke32/Makefile
21–24 ↗(On Diff #26573)

One can't tell if you are changing things or just reordering and adding whitespace for no reason.

You should refrain from doing that.

50 ↗(On Diff #26573)

You should remove that, it is empty by default.

rezny updated this revision to Diff 26579.Mar 23 2017, 1:07 AM

remove empty OPTIONS_DEFAULT and leftover MIDI_DESC

rezny marked an inline comment as done.Mar 23 2017, 9:53 AM
rezny added inline comments.
games/eduke32/Makefile
21–24 ↗(On Diff #26573)

I neglected to state in the review what I did the in PR. The re-ordering of LICENSE lines is to appease portlint. I hope you don't mean that I should refrain from cleaning up ports.

mat added inline comments.Mar 23 2017, 10:30 AM
games/eduke32/Makefile
21–24 ↗(On Diff #26573)

Oh, I did not know portlint was checking for the order of the LICENSE block. Good. The order of the different blocks of lines in the Makefile is about the only thing portlint is good at.

rezny marked 3 inline comments as done.Apr 7 2017, 9:13 PM
swills accepted this revision.Apr 7 2017, 9:20 PM

Looks good, approved.

This revision is now accepted and ready to land.Apr 7 2017, 9:20 PM
This revision was automatically updated to reflect the committed changes.